Results 1 to 10 of 10
  1. #1
    Join Date
    Jun 2016
    Location
    Suffolk VA
    Posts
    429
    Plugin Contributions
    0

    Default 1.57c installatio pkg says it's not the latest version

    I'm trying to install version 1.57c in a test directory, preparatory to upgrading. I have verified that I did download version 1.57c and did put that version in my test directory. But when I start the install, it insists that the version I'm installing is not the latest one, that it's only 1.56c. Is that incorrect and I can safely ignore it? Or what's going on?

    Also, it's saying that I need to be running php 7.2 or higher, and the server is running 7.3.
    Last edited by HeleneWallis; 2 Apr 2021 at 10:37 PM.

  2. #2
    Join Date
    Jul 2012
    Posts
    16,036
    Plugin Contributions
    17

    Default Re: 1.57c installatio pkg says it's not the latest version

    How was the downloaded version verified to be 1.5.7c instead of 1.5.6c? What is identified in includes/version.php and zc_install/includes/version.php? Was the version retrieved from the main page of this forum site where it identifies to download the latest stable version?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  3. #3
    Join Date
    Jun 2016
    Location
    Suffolk VA
    Posts
    429
    Plugin Contributions
    0

    Default Re: 1.57c installatio pkg says it's not the latest version

    It was downloaded from the link in the first topic of the forum, Zencart Release Announcements.

    https://sourceforge.net/projects/zencart/files/

    The installation package is zen-cart-1.5.7c-03052021.zip

    I don’t have access to the computer right this minute to provide what was in the version.php files, but the installation package appears to be identified as 1.5.7c

  4. #4
    Join Date
    Jun 2016
    Location
    Suffolk VA
    Posts
    429
    Plugin Contributions
    0

    Default Re: 1.57c installatio pkg says it's not the latest version

    And now that I do have access to the computer, both zc_install/includes/version.php and /includes/version.php clearly state 1.5.7c. Yet when I start the install, I get the message that it's 1.5.6c. It also warns me that I should be running PHP 7.2 at least. But the server info shows that PHP 7.3 is installed.

  5. #5
    Join Date
    Jul 2012
    Posts
    16,036
    Plugin Contributions
    17

    Default Re: 1.57c installatio pkg says it's not the latest version

    Quote Originally Posted by HeleneWallis View Post
    And now that I do have access to the computer, both zc_install/includes/version.php and /includes/version.php clearly state 1.5.7c. Yet when I start the install, I get the message that it's 1.5.6c. It also warns me that I should be running PHP 7.2 at least. But the server info shows that PHP 7.3 is installed.
    Do you happen to have added a .htaccess file to the root of the store or at some place at or "above" the temp directory being used to do this install where perhaps a redirect may be occurring to an undesirable location? Could also check the zc_install/includes/systemChecks.yml file. The php version info looks like this:
    Code:
    checkPhpVersion:
        runLevel: always
        errorLevel: FAIL
        mainErrorText: <?php echo TEXT_ERROR_PHP_VERSION .PHP_EOL; ?>
        methods:
          checkPhpVersionMin:
            method: checkPhpVersion
            parameters:
              version: 5.6.0
              versionTest: ge
              localErrorText: <?php echo sprintf(TEXT_ERROR_PHP_VERSION_MIN, '5.6.0') . PHP_EOL; ?>
          checkPhpVersionMax:
            method: checkPhpVersion
            parameters:
              version: 8.1.0
              versionTest: lt
              localErrorText: <?php echo sprintf(TEXT_ERROR_PHP_VERSION_MAX, '8.0.x') . PHP_EOL; ?>
      checkPhpVersionRecommendation:
        runLevel: always
        errorLevel: WARN
        mainErrorText: <?php echo sprintf(TEXT_ERROR_PHP_VERSION_RECOMMENDED, '7.3') . PHP_EOL; ?>
        methods:
          checkPhpVersionRecommended:
            method: checkPhpVersion
            parameters:
              version: 7.3.12
              versionTest: ge
    Is there also possibly another sub-directory with a very similar name that has an older version in that similar space? If you place some additional, functional file at the base of that install path, can you access it to get the results desired/expected?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  6. #6
    Join Date
    Jan 2004
    Posts
    66,350
    Blog Entries
    7
    Plugin Contributions
    271

    Default Re: 1.57c installatio pkg says it's not the latest version

    Regarding it showing the wrong PHP version, note that webservers which offer multiple PHP versions allow(require) you to specify the PHP version "per directory".
    If you've put this code into a directory that is set to use the older PHP version then that would explain the detection of the older version.

    mc12345678 is right to wonder whether there are redirects happening by your server.
    What's the URL you're typing to start zc_install?
    And then what's the URL that shows after you click the first "submit button" in zc_install?
    How do those URLs differ? ... from each other, and from what you "thought" you were doing?

    Perhaps your webserver has pointed a subdomain to a completely different location than where you think you're putting things?

    Also, there are /logs/zcInstall-xxxxxx.log files created when zc_install opens its various pages. What are the contents of those?
    One thing to check in those files is the working directory vs the directory you "think" you uploaded things to.
    And, if there aren't any such files then it's even more evidence that a redirect is showing you a completely different directory than where you think you uploaded things to.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  7. #7
    Join Date
    Jun 2016
    Location
    Suffolk VA
    Posts
    429
    Plugin Contributions
    0

    Default Re: 1.57c installatio pkg says it's not the latest version

    I had to put this aside to work on other things and have just gotten back to it. Now all I'm getting is a 403 error. I've checked the permissions on all the folders--they were all set correctly. This is a fresh install (today) of 1.5.7c into an empty directory in the root (public_html/test). Any ideas?

    There are no log files. I finally remembered to look there first, but no luck.

  8. #8
    Join Date
    Jul 2012
    Posts
    16,036
    Plugin Contributions
    17

    Default Re: 1.57c installatio pkg says it's not the latest version

    Quote Originally Posted by HeleneWallis View Post
    I had to put this aside to work on other things and have just gotten back to it. Now all I'm getting is a 403 error. I've checked the permissions on all the folders--they were all set correctly. This is a fresh install (today) of 1.5.7c into an empty directory in the root (public_html/test). Any ideas?

    There are no log files. I finally remembered to look there first, but no luck.
    Two posts ago a question was asked about the presence of an .htaccess file located at public_html/ or above... if that file exists, please provide the contents taking care to obscure information not to be shared such as possibly an admin folder name.

    Another way to ask the question is, for the site in question, are "pretty" urls used or the standard ZC dynamic urls? That would be a typical reason for such a file to have been created.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  9. #9
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    8,074
    Plugin Contributions
    9

    Default Re: 1.57c installatio pkg says it's not the latest version

    Also, as mentioned by DrByte, it may be your placement in your he folder structure.
    instead of home/public_html/test, try home/_test and set it as a subdomain
    cPanel directions in the knowledgebase at myzencarthost .com
    Did you read the posting tips?!?
    myZenCartHost.com - Zen Cart Certified, PCI Compatible Hosting by JEANDRET
    Free Domain, SSL, and Magic Thumb with Semi-Annual or longer plan.

  10. #10
    Join Date
    Jun 2016
    Location
    Suffolk VA
    Posts
    429
    Plugin Contributions
    0

    Default Re: 1.57c installatio pkg says it's not the latest version

    Quote Originally Posted by dbltoe View Post
    Also, as mentioned by DrByte, it may be your placement in your he folder structure.
    instead of home/public_html/test, try home/_test and set it as a subdomain
    cPanel directions in the knowledgebase at myzencarthost .com
    Thanks, I know how to do that, but hadn't thought of trying it.

 

 

Similar Threads

  1. Replies: 3
    Last Post: 28 Jan 2019, 04:25 PM
  2. v151 What is the latest version?
    By awk_grep in forum General Questions
    Replies: 1
    Last Post: 11 Sep 2013, 02:23 AM
  3. v1.3.8 is the latest version?
    By izell in forum General Questions
    Replies: 2
    Last Post: 24 Mar 2010, 10:23 PM
  4. Changes in the latest version
    By superprg in forum General Questions
    Replies: 3
    Last Post: 10 Aug 2006, 08:52 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR